Subject: bug#323: With clearlooks-phenix-darkpurpy-theme, Checkboxes Don't Appear on Webpages in epiphany-browser ("Web")

From: James Mahoney <[email-masked]>
Date: Mon, 13 May 2019 02:34:24 +0000

Package: clearlooks-phenix-darkpurpy-theme
Version: 7.0.2-1+devuan2.0

Expected behavior:
When using epiphany-browser ("Web") with the clearlooks-phenix-darkpurpy 
GTK theme, checkboxes on webpages should appear and function normally.

Observed behavior (bug):
When using epiphany-browser ("Web") with the clearlooks-phenix-darkpurpy 
GTK theme, checkboxes are invisible, both in unchecked and checked 
states. It also seems to be impossible to interact with the checkboxes.

Site to test: 
https://www.w3schools.com/jsref/tryit.asp?filename=tryjsref_checkbox_get

(Or any website with checkboxes.)

epiphany-browser 3.22.7-1 amd64
libwebkit2gtk-4.0-37:amd64 2.22.7-1~bpo9+1 amd64 (from ascii-backports)

$ uname -a
Linux indigo 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1 (2019-04-12) x86_64 
GNU/Linux

MATE Desktop Environment version 1.20.4, per "About MATE". 
(mate-desktop-environment 1.20.0+5~bpo9+1)

Additional notes:
Checkboxes on webpages appear and function correctly in firefox-esr 
60.6.2esr-1~deb9u1 amd64 when using the clearlooks-phenix-darkpurpy GTK 
theme.

Checkboxes on webpages appear and function correctly in epiphany-browser 
when using other themes such as Clearlooks, Crux, and several others.

(Further investigation of other themes shows that some others also 
result in invisible checkmarks using epiphany-browser (and some with 
both epiphany-browser and firefox!). I haven't sorted out yet if those 
themes are part of Devuan packages or themes that I installed in my home 
dir. In any event, for now, I just want to get the ball rolling on 
darkpurpy, as it is a very aesthetically pleasing theme that I would 
like to keep using as my main theme.)

I debated filing this under the 'epiphany-browser' package, but decided 
to start with the theme, as the checkboxes appear correctly with other 
themes.

Please let me know if I can be of further assistance, and I will try.

All the best,
James M.